extends Control

func _ready() -> void:
	if DisplayServer.is_touchscreen_available():
		show()



func _on_up_button_button_down() -> void:
	Input.action_press("MOVE_UP")

func _on_up_button_button_up() -> void:
	Input.action_release("MOVE_UP")




func _on_left_button_button_down() -> void:
	Input.action_press("MOVE_LEFT")
func _on_left_button_button_up() -> void:
	Input.action_release("MOVE_LEFT")


func _on_down_button_button_down() -> void:
	Input.action_press("MOVE_DOWN")
func _on_down_button_button_up() -> void:
	Input.action_release("MOVE_DOWN")


func _on_right_button_button_down() -> void:
	Input.action_press("MOVE_RIGHT")
func _on_right_button_button_up() -> void:
	Input.action_release("MOVE_RIGHT")


func _on_roll_button_button_down() -> void:
	Input.action_press("ROLL")
func _on_roll_button_button_up() -> void:
	Input.action_release("ROLL")



func _on_pickup_button_button_down() -> void:
	Input.action_press("Pickup")
func _on_pickup_button_button_up() -> void:
	Input.action_release("Pickup")
